aboutsummaryrefslogtreecommitdiff
path: root/git-stash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/git-stash.sh b/git-stash.sh
index a305fb19f..fbd4bc152 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -344,9 +344,7 @@ apply_stash () {
assert_stash_like "$@"
- git update-index -q --refresh &&
- git diff-files --quiet --ignore-submodules ||
- die 'Cannot apply to a dirty working tree, please stage your changes'
+ git update-index -q --refresh || die 'unable to refresh index'
# current index state
c_tree=$(git write-tree) ||